$!-----------------------------------------------------------------------------
$! BUILD_YAHMAIL.COM
$!
$! P1-4 == BUILD, COMPILE, LINK or empty (builds)
$! P1-4 == MIME
$! P1-4 == PMDF
$! P1-4 == language (default EN)
$!
$! 02-APR-2000  MGD  v1.3.0, support PMDF and MIME-kludge
$! 15-JAN-2000  MGD  v1.2.0, generalize for WASD and non-WASD builds
$! 22-JUN-1999  MGD  initial
$!-----------------------------------------------------------------------------
$!
$!(marshal the build parameters)
$ BUILD = "BUILD"
$ IF P1 .EQS. "BUILD" THEN BUILD = P1
$ IF P2 .EQS. "BUILD" THEN BUILD = P2
$ IF P3 .EQS. "BUILD" THEN BUILD = P3
$ IF P4 .EQS. "BUILD" THEN BUILD = P4
$ IF P1 .EQS. "COMPILE" THEN BUILD = P1
$ IF P2 .EQS. "COMPILE" THEN BUILD = P2
$ IF P3 .EQS. "COMPILE" THEN BUILD = P3
$ IF P4 .EQS. "COMPILE" THEN BUILD = P4
$ IF P1 .EQS. "LINK" THEN BUILD = P1
$ IF P2 .EQS. "LINK" THEN BUILD = P2
$ IF P3 .EQS. "LINK" THEN BUILD = P3
$ IF P4 .EQS. "LINK" THEN BUILD = P4
$ MIME = ""
$ IF P1 .EQS. "MIME" THEN MIME = P1
$ IF P2 .EQS. "MIME" THEN MIME = P2
$ IF P3 .EQS. "MIME" THEN MIME = P3
$ IF P4 .EQS. "MIME" THEN MIME = P4
$ PMDF = ""
$ IF P1 .EQS. "PMDF" THEN PMDF = P1
$ IF P2 .EQS. "PMDF" THEN PMDF = P2
$ IF P3 .EQS. "PMDF" THEN PMDF = P3
$ IF P4 .EQS. "PMDF" THEN PMDF = P4
$ LANGUAGE = "EN"
$ IF P1 .NES. "" .AND. P1 .NES. "BUILD" .AND. P1 .NES. "COMPILE" .AND. -
     P1 .NES. "LINK" .AND. P1 .NES. "PMDF" .AND. P1 .NES. "MIME" -
     THEN LANGUAGE = P1
$ IF P2 .NES. "" .AND. P2 .NES. "BUILD" .AND. P2 .NES. "COMPILE" .AND. -
     P2 .NES. "LINK" .AND. P2 .NES. "PMDF" .AND. P2 .NES. "MIME" -
     THEN LANGUAGE = P2
$ IF P3 .NES. "" .AND. P3 .NES. "BUILD" .AND. P3 .NES. "COMPILE" .AND. -
     P3 .NES. "LINK" .AND. P3 .NES. "PMDF" .AND. P3 .NES. "MIME" -
     THEN LANGUAGE = P3
$ IF P4 .NES. "" .AND. P4 .NES. "BUILD" .AND. P4 .NES. "COMPILE" .AND. -
     P4 .NES. "LINK" .AND. P4 .NES. "PMDF" .AND. P4 .NES. "MIME" -
     THEN LANGUAGE = P4
$!
$ APPLICATION = "YAHMAIL"
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""''APPLICATION'""" +-
  " for ""''F$GETSYI("ARCH_NAME")'"""
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ DEFINES = "/DEFINE=(_VMS_V6_SOURCE=1,__VMS_VER=60000000," +-
            "__CRTL_VER=60000000," +-
            "CGILIB_INCLUDE_H=""""""./cgilib.h""""""," +-
            "CGILIB_INCLUDE_C=""""""./cgilib.c"""""")"
$ IF MIME .EQS. "MIME" THEN DEFINES = DEFINES - ")" + ",YAHMAIL_MUNPACK=1)"
$ IF PMDF .EQS. "PMDF"
$ THEN
$    DEFINES = DEFINES - ")" + ",YAHMAIL_PMDF=1)"
$    IF F$TRNLNM("PMDF_COM") .EQS. "" -
        THEN DEFINE /PROCESS PMDF_COM 'F$ENVIRONMENT("DEFAULT")'
$ ENDIF
$!
$ LINK_OPTIONS = F$SEARCH("''APPLICATION'_''ARCH_NAME'.OPT")
$ IF LINK_OPTIONS .NES. "" -
     THEN LINK_OPTIONS = "," + F$ELEMENT(0,";",LINK_OPTIONS) + "/OPTIONS"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE/DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/DECC/OPTIM/STAND=VAXC/NODEBUG'DEFINES'/OBJ=''OBJECT_DIR'"
$ ELSE
$    CC_OPTIONS = "/DECC/OPTIM/STAND=VAXC/NODEBUG'DEFINES'/OBJ=''OBJECT_DIR'"
$ ENDIF
$!
$ IF BUILD .EQS. "BUILD" .OR. "BUILD .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$!   (compile yahMAIL components)
$    CC 'CC_OPTIONS' AddrList
$    CC 'CC_OPTIONS' CallMail
$    CC 'CC_OPTIONS' Other
$    CC 'CC_OPTIONS' Private
$    CC 'CC_OPTIONS' Profile
$    CC 'CC_OPTIONS' Public
$    CC 'CC_OPTIONS' SendMsg
$    CC 'CC_OPTIONS' SigFile
$    CC 'CC_OPTIONS' ViewMsg
$    CC 'CC_OPTIONS' yahMAIL
$    CC 'CC_OPTIONS' lang_'LANGUAGE'
$    IF MIME .EQS. "MIME"
$    THEN
$!      (compile munpack components)
$       CC_OPTIONS = CC_OPTIONS + "/WARN=(DISABLE=PROTOSCOPE)"
$       CC 'CC_OPTIONS' [.munpack]unixos
$       CC 'CC_OPTIONS' [.munpack]unixunpk
$       CC 'CC_OPTIONS' [.munpack]decode
$       CC 'CC_OPTIONS' [.munpack]uudecode
$       CC 'CC_OPTIONS' [.munpack]codes
$       CC 'CC_OPTIONS' [.munpack]string
$       CC 'CC_OPTIONS' [.munpack]part
$       CC 'CC_OPTIONS' [.munpack]xmalloc
$       CC 'CC_OPTIONS' [.munpack]md5c
$    ENDIF
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF BUILD .EQS. "BUILD" .OR. BUILD .EQS. "LINK"
$ THEN
$    IF F$TRNLNM("HT_ROOT") .EQS. ""
$       THEN EXECUTABLE = "'APPLICATION'_'ARCH_NAME'.EXE"
$       ELSE EXECUTABLE = "HT_EXE:'APPLICATION'.EXE"
$    ENDIF
$    SET NOON
$    IF MIME .EQS. "MIME"
$    THEN
$       IF PMDF .EQS. "PMDF"
$       THEN
$!         (linking MIME version with PMDF libraries)
$          SET VERIFY
$          LINK/NOTRACE/EXECUTABLE='EXECUTABLE' -
           'OBJECT_DIR'AddrList,CallMail,Other, -
           Private,Profile,Public,SigFile,SendMsg,ViewMsg,yahMAIL, -
           lang_'LANGUAGE', -
           unixos,unixunpk,decode,uudecode,codes, -
           string,part,xmalloc'LINK_OPTIONS', -
           PMDF_EXE:PMDFSHR_LINK.OPT/OPT
$!         'F$VERIFY(0)
$       ELSE
$!         (linking MIME version)
$          SET VERIFY
$          LINK/NOTRACE/EXECUTABLE='EXECUTABLE' -
           'OBJECT_DIR'AddrList,CallMail,Other, -
           Private,Profile,Public,SigFile,SendMsg,ViewMsg,yahMAIL, -
           lang_'LANGUAGE', -
           unixos,unixunpk,decode,uudecode,codes, -
           string,part,xmalloc,md5c'LINK_OPTIONS'
$!         'F$VERIFY(0)
$       ENDIF
$    ELSE
$!      (linking vanilla version)
$       SET VERIFY
$       LINK/NOTRACE/EXECUTABLE='EXECUTABLE' -
        'OBJECT_DIR'AddrList,CallMail,Other, -
        Private,Profile,Public,SigFile,SendMsg,ViewMsg,yahMAIL, -
        lang_'LANGUAGE''LINK_OPTIONS'
$!      'F$VERIFY(0)
$    ENDIF
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE 'EXECUTABLE'
$ PURGE/NOLOG 'OBJECT_DIR'
$!
$!-----------------------------------------------------------------------------
