$!-----------------------------------------------------------------------------
$! INSTALL.COM
$! 
$! Installs or updates the yahMAIL package.
$! Copies files to the required locations.
$! 
$! 04-APR-2000  MGD  non-WASD executable now in top-level directory
$! 15-JAN-2000  MGD  make a single package work for all three environments
$!-----------------------------------------------------------------------------
$ PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ SET DEFAULT 'F$PARSE(PROCEDURE,,,"DEVICE")''F$PARSE(PROCEDURE,,,"DIRECTORY")'
$ SAY = "WRITE SYS$OUTPUT"
$ IF P2 .EQS. "WASD" THEN GOTO WASD
$ IF P2 .EQS. "OSU" THEN GOTO OSU
$ IF P2 .EQS. "CGI" THEN GOTO CGI
$ SAY "USAGE: @INSTALL INSTALL|UPDATE WASD|OSU|CGI"
$ EXIT
$!-----------------------------------------------------------------------------
$ WASD:
$!(copy files from this directory to the scripting environment)
$ IF P1 .NES. "INSTALL" .AND. P1 .NES. "UPDATE"
$ THEN
$    SAY "USAGE: @INSTALL INSTALL|UPDATE WASD"
$    EXIT
$ ENDIF
$ COPY /PROT=W:RE YAHMAIL.COM HT_ROOT:[SCRIPT]
$ IF P1 .EQS. "INSTALL"
$ THEN
$    COPY /PROT=W YAHMAIL.CONF HT_ROOT:[LOCAL]
$    COPY /PROT=W YAHMAIL_STARTUP.COM HT_ROOT:[LOCAL]
$ ELSE
$    SAY "When updating to v1.3 please check and manually update YAHMAIL.CONF"
$ ENDIF
$ IF F$SEARCH("HT_ROOT:[DOC.YAHMAIL]*.*") .NES. ""
$ THEN
$    DELETE = "DELETE"
$    DELETE HT_ROOT:[DOC.YAHMAIL]*.*;*
$    CREATE /PROT=W:RE HT_ROOT:[DOC.YAHMAIL]INDEX.HTML
<HTML>
<HEAD>
<META HTTP-EQUIV="refresh" CONTENT="2; url=/ht_root/src/yahmail/doc/">
<TITLE>yahMAIL Documentation Relocated</TITLE>
</HEAD>
<BODY>
<FONT SIZE=+1><B>yahMAIL</B></FONT> documentation may now be found at
<A HREF="/ht_root/src/yahmail/doc/">/ht_root/src/yahmail/doc/</A>
<BODY>
</HTML>
$    ENDIF
$ EXIT
$!-----------------------------------------------------------------------------
$ OSU:
$!(copy files from this directory to the scripting environment)
$ IF P1 .NES. "INSTALL" .AND. P1 .NES. "UPDATE"
$ THEN
$    SAY "USAGE: @INSTALL INSTALL|UPDATE OSU"
$    EXIT
$ ENDIF
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$ COPY /PROT=W:RE YAHMAIL_'ARCH_NAME'.EXE WWW_ROOT:[BIN]
$ COPY /PROT=W:RE YAHMAIL.COM WWW_ROOT:[BIN]
$ IF P1 .EQS. "INSTALL"
$ THEN
$    COPY /PROT=W YAHMAIL.CONF WWW_ROOT:[SYSTEM]
$    COPY /PROT=W YAHMAIL_STARTUP.COM WWW_ROOT:[SYSTEM]
$ ELSE
$    SAY "When updating to v1.3 please check and manually update YAHMAIL.CONF"
$ ENDIF
$ EXIT
$!-----------------------------------------------------------------------------
$ CGI:
$ IF (P1 .NES. "INSTALL" .AND. P1 .NES. "UPDATE") .OR.
     P3 .EQS. "" .OR. P4 .EQS. "" 
$ THEN
$    SAY "USAGE: @INSTALL INSTALL|UPDATE CGI [cgi-bin-dir] [config-dir]"
$    EXIT
$ ENDIF
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$ COPY /PROT=W:RE YAHMAIL_'ARCH_NAME'.EXE 'P3'
$ IF P1 .EQS. "INSTALL"
$ THEN
$    COPY /PROT=W YAHMAIL.CONF 'P4'
$    COPY /PROT=W YAHMAIL_STARTUP.COM 'P4'
$ ELSE
$    SAY "When updating to v1.3 please check and manually update YAHMAIL.CONF"
$ ENDIF
$ EXIT
$!-----------------------------------------------------------------------------
