$!-----------------------------------------------------------------------------
$! YAHMAIL_STARTUP.COM
$!
$! For WASD P1 can supply the server username ("HTTP$SERVER" by default)
$! For OSU P1 can supply the server username ("HTTP_SERVER" by default)
$!
$! 15-JAN-2000  MGD  make a single package work for all three environments
$! 07-JUL-1999  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$!
$ IF F$LOCATE("HT_ROOT:",PROCEDURE) .LT. F$LENGTH(PROCEDURE)
$ THEN
$!   (WASD environment)
$    YAHMAIL_EXE = "HT_EXE:YAHMAIL.EXE"
$    YAHMAIL_COM = "HT_ROOT:[SCRIPT_LOCAL]YAHMAIL.COM"
$    YAHMAIL_CONFIG = "HT_ROOT:[LOCAL]YAHMAIL.CONF"
$    HTTPD_USERNAME = "HTTP$SERVER"
$    IF P1 .NES. "" THEN HTTPD_USERNAME = P1
$ ENDIF
$!
$ IF F$LOCATE("WWW_ROOT",PROCEDURE) .LT. F$LENGTH(PROCEDURE)
$ THEN
$!   (OSU server environment)
$    ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$    IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$    YAHMAIL_EXE = "WWW_ROOT:[BIN]YAHMAIL_''ARCH_NAME'.EXE"
$    YAHMAIL_COM = "WWW_ROOT:[BIN]YAHMAIL.COM"
$    YAHMAIL_CONFIG = "WWW_ROOT:[SYSTEM]YAHMAIL.CONF"
$    HTTPD_USERNAME = "HTTP_SERVER"
$    IF P1 .NES. "" THEN HTTPD_USERNAME = P1
$ ENDIF
$!
$ IF F$TYPE(YAHMAIL_EXE) .EQS. ""
$ THEN
$!   (vanilla CGI server environment)
$    ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$    IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$    YAHMAIL_EXE = "location:YAHMAIL_''ARCH_NAME'.EXE"
$    YAHMAIL_COM = "location:YAHMAIL.COM"
$    YAHMAIL_CONFIG = "location:YAHMAIL.CONF"
$    HTTPD_USERNAME = "username?"
$ ENDIF
$!
$ PRIVS = "/PRIV=(SYSPRV)"
$!
$!(remove all world access from the configuration file)
$ SET SECURITY 'YAHMAIL_CONFIG' /PROTECTION=W -
      /ACL=((IDENT='HTTPD_USERNAME',ACCESS=READ),(IDENT=*,ACCESS=NONE))
$!(define a logical locating configuration file)
$ DEFINE /NOLOG /SYSTEM /EXEC YAHMAIL$CONFIG 'YAHMAIL_CONFIG'
$!
$!(allow only the server account to execute the support procedure & image)
$ SET SECURITY 'YAHMAIL_COM' /PROTECTION=W -
      /ACL=((IDENT='HTTPD_USERNAME',ACCESS=READ+EXECUTE),(IDENT=*,ACCESS=NONE))
$ SET SECURITY 'YAHMAIL_EXE' /PROTECTION=W -
      /ACL=((IDENT='HTTPD_USERNAME',ACCESS=READ+EXECUTE),(IDENT=*,ACCESS=NONE))
$!
$!(install with required privileges)
$ INSTALL = "INSTALL"
$ IF F$FILE("''YAHMAIL_EXE'","KNOWN")
$    THEN INSTALL REPLACE 'YAHMAIL_EXE' /OPEN /HEADER /SHARE 'PRIVS'
$    ELSE INSTALL ADD 'YAHMAIL_EXE' /OPEN /HEADER /SHARE 'PRIVS'
$ ENDIF
$!-----------------------------------------------------------------------------
